Closed Bug 694772 Opened 8 years ago Closed 8 years ago

Intermittent WinXP mochitest-plain-4 | leaked 3280 bytes during test execution (1 BackstagePass, 2 Mutex, and more) including 2 domwindows opened by test_value_cloning.html

Categories

(Core :: CSS Parsing and Computation, defect)

x86
Windows XP
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: mbrubeck, Unassigned)

References

Details

(Keywords: intermittent-failure, memory-leak)

https://tbpl.mozilla.org/php/getParsedLog.php?id=6837520&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitests-2/5 on 2011-10-13 15:07:05 PDT for push 2d9076dbcd15

builder: mozilla-inbound_win7-debug_test-mochitests-2
slave: talos-r3-w7-016
starttime: 1318543625.37
results: warnings (1)
buildid: 20111013130537
builduid: c37657a0a3a8485f96bb7c0f3cd54b74
revision: 2d9076dbcd15

SUCCESS: The process with PID 4060 has been terminated.

== BloatView: ALL (cumulative) LEAK AND BLOAT STATISTICS, default process 1152

     |<----------------Class--------------->|<-----Bytes------>|<----------------Objects---------------->|<--------------References-------------->|
                                              Per-Inst   Leaked    Total      Rem      Mean       StdDev     Total      Rem      Mean       StdDev
   0 TOTAL                                          14     3288 295473974       44 (14066.16 +/- 27359.12) 157386732       31 (22954.61 +/- 46271.30)
  14 BackstagePass                                  24       24        1        1 (    1.00 +/-     0.00)   898026        2 (  189.62 +/-    10.76)
 147 Mutex                                          12       24    38015        2 (  121.40 +/-    39.51)        0        0 (    0.00 +/-     0.00)
 192 ReentrantMonitor                               16       16    14021        1 (   62.53 +/-    26.88)        0        0 (    0.00 +/-     0.00)
 201 SharedScriptableHelperForJSIID                 12       12        1        1 (    1.00 +/-     0.00)    25363        1 (   69.21 +/-    12.82)
 249 XPCNativeScriptableInfo                         8        8    66307        1 ( 2421.20 +/-   547.84)        0        0 (    0.00 +/-     0.00)
 250 XPCNativeScriptableShared                     244     1952    67479        8 (   74.66 +/-    12.60)        0        0 (    0.00 +/-     0.00)
 253 XPCWrappedNative                               56      448   268092        8 ( 3859.69 +/-  1176.25)  2637381        8 ( 3930.48 +/-  1069.34)
 254 XPCWrappedNativeProto                          32      192    73626        6 ( 1629.57 +/-   494.90)        0        0 (    0.00 +/-     0.00)
 725 nsJSIID                                        24       48     7887        2 (  736.55 +/-   197.28)    91827        2 ( 1634.63 +/-   455.36)
 993 nsStringBuffer                                  8        8  3045805        1 (47870.26 +/-  5764.21)  7174277        1 (61222.57 +/-  7551.00)
1037 nsSystemPrincipal                              36       36        1        1 (    1.00 +/-     0.00)   763160        1 (  333.73 +/-    52.42)
1084 nsVoidArray                                     4        4  1077351        1 (15163.54 +/-  2844.39)        0        0 (    0.00 +/-     0.00)
1133 nsXPCComponents                                60       60     8372        1 (  352.89 +/-   142.62)   108551        2 ( 1358.46 +/-   589.51)
1134 nsXPCComponents_Classes                        20       20      527        1 (   67.45 +/-    16.75)    19111        2 (  256.43 +/-    47.69)
1138 nsXPCComponents_Interfaces                     28       28      545        1 (   71.28 +/-    17.65)    93762        2 (  269.22 +/-    44.18)
1140 nsXPCComponents_Results                        20       20      120        1 (   35.46 +/-    13.07)     6426        2 (  135.54 +/-    19.18)
1141 nsXPCComponents_Utils                          24       24      368        1 (   64.37 +/-    18.74)     6130        1 (  135.70 +/-    37.20)
1146 nsXPCWrappedJS                                 64       64    21590        1 (  549.24 +/-   177.77)   594400        2 ( 1487.02 +/-   293.71)
1147 nsXPCWrappedJSClass                            44       44     1453        1 (   37.49 +/-     4.05)   291372        1 (  543.97 +/-   140.60)
1210 xptiInterfaceInfo                              20       40    15155        2 (  344.69 +/-    78.22)   925767        3 ( 1016.17 +/-   131.70)
1211 xptiInterfaceInfoManager                      128      128        1        1 (    1.00 +/-     0.00)   255822        1 (   75.65 +/-     7.13)
1212 xptiWorkingSet                                 88       88        1        1 (    1.00 +/-     0.00)        0        0 (    0.00 +/-     0.00)

nsTraceRefcntImpl::DumpStatistics: 1212 entries
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3288 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of Mutex with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of ReentrantMonitor with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of SharedScriptableHelperForJSIID with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of XPCNativeScriptableInfo with size 8 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of XPCNativeScriptableShared with size 244 bytes each (1952 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of XPCWrappedNative with size 56 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of XPCWrappedNativeProto with size 32 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsJSIID with size 24 bytes each (48 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsStringBuffer with size 8 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsVoidArray with size 4 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents with size 60 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Classes with size 20 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Interfaces with size 28 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Results with size 20 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Utils with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJS with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJSClass with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of xptiInterfaceInfo with size 20 bytes each (40 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 128 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 88 bytes
==> process 1164 will purposefully crash
INFO | automationutils.processLeakLog() | process 1164 was deliberately crashed and thus has no leak log
==> process 2712 will purposefully crash
INFO | automationutils.processLeakLog() | process 2712 was deliberately crashed and thus has no leak log

== BloatView: ALL (cumulative) LEAK AND BLOAT STATISTICS, plugin process 3216

     |<----------------Class--------------->|<-----Bytes------>|<----------------Objects---------------->|<--------------References-------------->|
                                              Per-Inst   Leaked    Total      Rem      Mean       StdDev     Total      Rem      Mean       StdDev
   0 TOTAL                                          10        0     6317        0 (   46.82 +/-    30.24)     3537        0 (  115.04 +/-    67.22)

nsTraceRefcntImpl::DumpStatistics: 27 entries
TEST-PASS | plugin process 3216 | automationutils.processLeakLog() | no leaks detected!

INFO | runtests.py | Running tests: end.
https://tbpl.mozilla.org/php/getParsedLog.php?id=6869422&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitests-2/5 on 2011-10-15 04:58:47 PDT for push f861fcef59da

builder: mozilla-inbound_win7-debug_test-mochitests-2
slave: talos-r3-w7-020
starttime: 1318679927.88
results: warnings (1)
buildid: 20111015031938
builduid: dc681a4d30404487add3cb03a4c9ea4f
revision: f861fcef59da
https://tbpl.mozilla.org/php/getParsedLog.php?id=7634947&tree=Mozilla-Inbound
Summary: Intermittent mochitest-plain-2 | leaked 3288 bytes during test execution (1 BackstagePass, 2 Mutex, and more) → Intermittent mochitest-plain-2, mochitest-plain-4 | leaked 3288 bytes during test execution (1 BackstagePass, 2 Mutex, and more)
https://tbpl.mozilla.org/php/getParsedLog.php?id=7634391&tree=Mozilla-Inbound

Two in a row (with comment 10).  Retriggered to make sure this isn't a new perma-orange.
https://tbpl.mozilla.org/php/getParsedLog.php?id=7643241&tree=Mozilla-Inbound

Not perma, but I sort of doubt it's actually the same thing.
https://tbpl.mozilla.org/php/getParsedLog.php?id=7922128&tree=Mozilla-Inbound

Probably just coincidence that we've been seeing this sort of coupled with buildfarm dns and network troubles, including that one during the downtime that should be fixing those troubles.
(In reply to Phil Ringnalda (:philor) from comment #12)
> https://tbpl.mozilla.org/php/getParsedLog.php?id=7643241&tree=Mozilla-Inbound
> 
> Not perma, but I sort of doubt it's actually the same thing.

The new thing, however, has totally taken over the old thing. That's sort of handy, since according to http://tbpl.swatinem.de/leak-analysis/?id=8398968&tree=Firefox it's test_value_cloning's domwindows being leaked, and I hear that the style system hackers are really good at debugging leaks :)

Oh, and they will want to: despite being limited to a single OS, this was a clear winner of the race to be the most orange over the last week.
Component: General → Style System (CSS)
OS: Windows 7 → Windows XP
QA Contact: general → style-system
Summary: Intermittent mochitest-plain-2, mochitest-plain-4 | leaked 3288 bytes during test execution (1 BackstagePass, 2 Mutex, and more) → Intermittent WinXP mochitest-plain-4 | leaked 3288 bytes during test execution (1 BackstagePass, 2 Mutex, and more) including 2 domwindows opened by test_value_cloning.html
Version: 10 Branch → Trunk
https://tbpl.mozilla.org/php/getParsedLog.php?id=8547714&tree=Firefox
Summary: Intermittent WinXP mochitest-plain-4 | leaked 3288 bytes during test execution (1 BackstagePass, 2 Mutex, and more) including 2 domwindows opened by test_value_cloning.html → Intermittent WinXP mochitest-plain-4 | leaked 3280 bytes during test execution (1 BackstagePass, 2 Mutex, and more) including 2 domwindows opened by test_value_cloning.html
Oops, that last one wasn't this - I keep forgetting that WinXP debug M4 *can* fail in any way other than this.
https://tbpl.mozilla.org/php/getParsedLog.php?id=8727598&tree=Try
Rev3 WINNT 5.1 try debug test mochitests-4/5 on 2012-01-21 15:12:25 PST for push 86a32644ef13

https://tbpl.mozilla.org/php/getParsedLog.php?id=8727637&tree=Try
Rev3 WINNT 5.1 try debug test mochitests-4/5 on 2012-01-21 15:16:12 PST for push 8c2542206d3b
Which, yet again, was not actually this.